/**
 * \file TestAlloc.h
 * Fonctions de test de bonne allocation memoire.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____TESTALLOC____
#define ____TESTALLOC____

void testAllocAndExit(void *p,char *fct);
void testAllocAndExit(void *p,char *fct,int val);
void testAllocAndExit(void *p,char *fct,int val1,int val2);
int testAllocAndGo(void *p,char *fct);
int testAllocAndGo(void *p,char *fct,int val);
int testAllocAndGo(void *p,char *fct,int val1,int val2);

#endif
